Skip to main content
GET
List expenses

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

organizationId
string
required

The id of the organization of the user UUID without dashes (32-character hex string)

Pattern: ^[0-9a-fA-F]{32}$
expenseReportId
string

The id of the expense report to filter on UUID without dashes (32-character hex string)

Pattern: ^[0-9a-fA-F]{32}$
expenseType
enum<string>

The expense type

Available options:
CarSpecification,
FoodBenefitsSpecification,
ReceiptVerification,
SubsistenceAllowance
statuses
enum<string>[]

Comma separated list of statuses to include, to exclude a status use ! before the status

Available options:
APPROVAL,
APPROVED,
BULK_TRANSFER,
DELETED,
ERROR,
NEW,
NORMAL,
ON_HOLD,
PAID,
READY_TO_SEND,
REJECTED,
REVIEW,
SEND,
SENT,
TRANSFER,
TRANSFER_TO_RECIPIENT
processStatus
enum<string>

Process status that will filter out expenses on selected status. It should not be used in combination with statuses or notStatuses.

DRAFT includes NEW, NORMAL.

REJECTED includes REJECTED.

PROCESSING includes APPROVAL, APPROVED, READY_TO_SEND, BULK_TRANSFER, TRANSFER, TRANSFER_TO_RECIPIENT, ERROR and SEND.

PROCESSED includes SENT and PAID.

Available options:
DRAFT,
REJECTED,
PROCESSING,
PROCESSED
include
enum<string>[]

optional properties to include

Available options:
verification,
meta.abbreviation,
meta.abbreviation.labels,
meta.person,
meta.capabilities,
meta.cardTransaction,
meta.splits,
validationErrors
max
integer<int>
default:10

max records to return

Required range: 1 <= x <= 1000
offset
integer<int>
default:0

the offset to be used in list

Required range: x >= 0
filter
enum<string>

The value for which list of expense records will be filtered by

availableForMerge - this will list all expense records that are not included in any expense report, not sent, not created based on card transaction and don't have any related other expenses

canBeAddedToReport - this will list all expense records that can be added to a report

Available options:
availableForMerge,
canBeAddedToReport

Response

200 - application/json

OK

meta
object
data
object[]
Last modified on August 31, 2026